Bug 1007206 - cxf: Enable module frontend/jaxrs
cxf: Enable module frontend/jaxrs
Product: Fedora
Classification: Fedora
Component: cxf (Show other bugs)
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: 919544
  Show dependency treegraph
Reported: 2013-09-12 02:16 EDT by Mikolaj Izdebski
Modified: 2016-08-27 06:27 EDT (History)
2 users (show)

See Also:
Fixed In Version: cxf-3.1.4-1.fc25
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-08-27 06:27:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2013-09-12 02:16:10 EDT
Description of problem:
Please enable CXF module frontend/jaxrs (groupId: org.apache.cxf, artifactId: cxf-rt-frontend-jaxrs).
this module is needed by maven-changes-plugin-2.9.

Version-Release number of selected component (if applicable):
Comment 1 Marek Goldmann 2013-09-18 04:57:56 EDT
I would love to add this, unfortunately the new jax-rs API shipped in Fedora contains the Final release, but the cxf uses a m10 pre-release. There were made some serious changes and it would require massive patching, since the cxf-rt-frontend-jaxrs requires this api. Even the new 2.7.6 cxf release (July 15, 2013) uses the pre-release.

I would want to wait for a cxf release that uses the final 2.0 API version of jax-rs.
Comment 2 Marek Goldmann 2013-09-18 05:02:08 EDT
It seems that the 2.7.x codebase will not get the final version of jax-rs at all, see this bug: https://issues.apache.org/jira/browse/CXF-5183.

I'll think about downgrading to m10 the glassfish-jax-rs-api package, if this is possible.
Comment 3 gil cattaneo 2013-09-18 06:00:25 EDT
yes i know ... https://issues.apache.org/jira/browse/CXF-5252
.... waiting for CXF 3.0.0 should be available in a couple of months, but i can't downgrade jax-xr package breaks compatibility with others packages ...
Comment 4 Marek Goldmann 2013-09-18 06:09:44 EDT
OK, so the only option for us is to patch cxf. I will *try* to do it.
Comment 5 Mikolaj Izdebski 2014-01-23 03:15:50 EST
Latest 2.x release (2.7.8) is still using JAX-RS 2.0-m10, but CXF 3.0.0-milestone1 seems to be using JAX-RS 2.0.
Comment 6 Fedora Update System 2016-08-16 15:22:09 EDT
cxf-3.1.4-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e119fe151f
Comment 7 Fedora Update System 2016-08-17 15:54:07 EDT
cxf-3.1.4-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e119fe151f
Comment 8 Fedora Update System 2016-08-27 06:27:20 EDT
cxf-3.1.4-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.